/*
 * File:    Auto.java
 * Package: dm.vpi.lekce05.vozidla1
 * Project: Lekce05
 * 
 * Author : David Martinek
 * Address: Department of Intelligent Systems
 *          Faculty of Information Technology
 *          Brno University of Technology
 *          Bozetechova 2, 
 *          612 66 Brno, 
 *          Czech Republic
 * E-mail : martinek@fit.vutbr.cz
 * 
 * Created on 12.4.2005
 * (c) 2005, David Martinek
 * 
 * This project is provided under conditions of GNU General Public Licence.
 * The full text of GNU GPL in on internet: http://www.gnu.org/licenses/gpl.html
 * 
 * $Id$
 */
package dm.vpi.lekce05.vozidla1;

/**
 * Tda reprezentujc auto. Dd ze tdy Vozidlo. K obecnm dajm o
 * vozidle pidv daj o tom, zda se jedn o chopper nebo ne. Dle se odliuje
 * textem, kter vrac metoda toString.
 * 
 * @since 12.4.2005
 * @since 1.5.0
 * @author David Martinek
 */
public class Auto
    extends Vozidlo
{

  /**
   * Rozvor kol automobilu v centimetrech.
   */
  protected float rozvor;

  /**
   * Vka automobilu v centimetrech.
   */
  protected float vyska;


  public Auto(String typ, String spz, Barva barva, float rozvor,
      float vyska)
  {
    super(typ, spz, barva);
    this.rozvor = rozvor;
    this.vyska = vyska;
  }

  /**
   * Tato metoda pekrv metodu pedka, piem ale zrove vyuv i
   * implementaci pedka pomoc voln super.equals(obj).
   * 
   * @see dm.vpi.lekce05.vozidla1.Vozidlo#equals(java.lang.Object)
   */
  public boolean equals(Object obj)
  {
    if ( !(obj instanceof Auto))
      return false;
    Auto car = (Auto) obj;
    return super.equals(obj) && car.rozvor == this.rozvor
        && car.vyska == this.vyska;
  }

  /**
   * Vrac textovou reprezentaci automobilu. Metoda tiskniZaznam definovan
   * v pedkovi vol metodu toString, ale dky polymorfismu se zavol vdy
   * ta sprvn metoda toString().
   * 
   * @see dm.vpi.lekce05.vozidla1.Vozidlo#toString()
   */
  public String toString()
  {
    StringBuilder string = new StringBuilder("Automobil -> ");
    string.append(super.toString());
    string.append(", Rozvor: ");
    string.append(rozvor);
    string.append(", Vka: ");
    string.append(vyska);
    return string.toString();
  }

  /**
   * U nkterch datovch poloek nen vhodn poskytovat uivateli metodu
   * pro nastaven. Pokud by zde existovala metoda setRozvor, znamenalo by
   * to, e v opravn jsou schopni zmnit rozvor, co nen to, co chceme.
   * 
   * @return Vrac rozvor kol auta.
   */
  public float getRozvor()
  {
    return rozvor;
  }

  /**
   * @return Vrac vku automobilu.
   */
  public float getVyska()
  {
    return vyska;
  }

}

// end of file Auto.java
