/*
 * File:    Motocykl.java
 * Package: dm.vpi.lekce05.vozidla1
 * Project: Lekce05
 * 
 * Author : David Martinek
 * Address: Department of Intelligent Systems
 *          Faculty of Information Technology
 *          Brno University of Technology
 *          Bozetechova 2, 
 *          612 66 Brno, 
 *          Czech Republic
 * E-mail : martinek@fit.vutbr.cz
 * 
 * Created on 13.4.2005
 * (c) 2005, David Martinek
 * 
 * This project is provided under conditions of GNU General Public Licence.
 * The full text of GNU GPL in on internet: http://www.gnu.org/licenses/gpl.html
 * 
 * $Id$
 */
package dm.vpi.lekce05.vozidla1;

/**
 * Tda reprezentujc motocykl. Roziuje tdu Vozidlo. K obecnm dajm
 * o vozidle pidv daje o rozvoru kol a o vce.
 * 
 * @since 13.4.2005
 * @author David Martinek
 */
public class Motocykl
    extends Vozidlo
{

  /**
   * Rozliuje chopper od ostatnch motocykl.
   */
  boolean chopper;


  public Motocykl(String typ, String spz, Barva barva, boolean chopper)
  {
    super(typ, spz, barva);
    this.chopper = chopper;
  }

  /**
   * @return Vrac true, jestlie je motocykl v prav chopper.
   */
  public boolean isChopper()
  {
    return chopper;
  }

  /**
   * Tato metoda pekrv metodu pedka, piem ale zrove vyuv i
   * implementaci pedka pomoc voln super.equals(obj).
   * 
   * @see dm.vpi.lekce05.vozidla1.Vozidlo#equals(java.lang.Object)
   */
  public boolean equals(Object obj)
  {
    if ( !(obj instanceof Motocykl))
      return false;
    Motocykl bike = (Motocykl) obj;
    return super.equals(obj) && bike.chopper == this.chopper;
  }

  /**
   * Vrac textovou reprezentaci Motocyklu. Metoda tiskniZaznam definovan
   * v pedkovi vol metodu toString, ale dky polymorfismu se zavol vdy
   * ta sprvn metoda toString().
   * 
   * @see dm.vpi.lekce05.vozidla1.Vozidlo#toString()
   */
  public String toString()
  {
    StringBuilder string = new StringBuilder("Motocykl");
    if (isChopper())
      string.append(" (chopper)");
    string.append(" -> ");
    string.append(super.toString());
    return string.toString();
  }

}

// end of file Motocykl.java
